/*
* Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
*
* https://www.mall4j.com/
*
* 未经允许，不可做商业用途！
*
* 版权所有，侵权必究！
*/
import request from '@/utils/request'

export function transportPage () {
  return request({
    url: '/mall4cloud_order/mp/transport/list',
    method: 'get'
  })
}

export function transportGet (transportId) {
  return request({
    url: '/mall4cloud_order/mp/transport',
    method: 'get',
    params: {
      transportId
    }
  })
}

export function transportSave (data) {
  return request({
    url: '/mall4cloud_order/mp/transport',
    method: 'post',
    data
  })
}

export function transportUpdate (data) {
  return request({
    url: '/mall4cloud_order/mp/transport',
    method: 'put',
    data
  })
}

export function deleteTransportById (transportId) {
  return request({
    url: '/mall4cloud_order/mp/transport',
    method: 'delete',
    params: {
      transportId
    }
  })
}
